## ros-humble-kinematics-interface-kdl 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(kinematics_interface_kdl LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  Eigen3
  kdl_parser
  kinematics_interface
  pluginlib
  tf2_eigen_kdl
)

# find dependencies
find_package(ament_cmake REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(
  kinematics_interface_kdl
  SHARED
  src/kinematics_interface_kdl.cpp
)
target_include_directories(kinematics_interface_kdl PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/kinematics_interface_kdl>
)
target_compile_features(kinematics_interface_kdl PUBLIC cxx_std_17)
ament_target_dependencies(kinematics_interface_kdl PUBLIC
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

pluginlib_export_plugin_description_file(kinematics_interface kinematics_interface_kdl.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(
    test_kinematics_interface_kdl
    test/test_kinematics_interface_kdl.cpp
  )
  target_link_libraries(test_kinematics_interface_kdl kinematics_interface_kdl)

  # TODO: Use target_link_libraries once ros2_control_test_assets'
  #       CMake include export is fixed
  ament_target_dependencies(test_kinematics_interface_kdl ros2_control_test_assets)
endif()

install(
  DIRECTORY include/
  DESTINATION include/kinematics_interface_kdl
)
install(
  TARGETS kinematics_interface_kdl
  EXPORT export_kinematics_interface_kdl
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(export_kinematics_interface_kdl HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-kinematics-interface-kdl (0.1.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#13 <https://github.com/ros-controls/kinematics_interface/issues/13>)
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Jan 2023 00:00:00 -0000

ros-humble-kinematics-interface-kdl (0.0.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-humble-kinematics-interface-kdl (0.0.1-1jammy) jammy; urgency=high

  * Enable interface to use Eigen per default (#6 <https://github.com/ros-controls/kinematics_interface/issues/6>)
  * Add CI setup to the repository. (#8 <https://github.com/ros-controls/kinematics_interface/issues/8>)
  * Remove duplicate of Eigen dependency.
  * Update CMakeFiles, correct deps and formatting. (#10 <https://github.com/ros-controls/kinematics_interface/issues/10>)
  * add pre-commit to repo (#7 <https://github.com/ros-controls/kinematics_interface/issues/7>)
    add pre-commit
  * Fix failing KDL test (#5 <https://github.com/ros-controls/kinematics_interface/issues/5>)
    * add verification for all inputs
    * add underscore to end_effector
    * add test to ensure inverse then forward calculation is approximately unit
  * Fix more indentations and alphabetize
  * Update dependencies and maintainers
  * Kinematics interface with KDL implementation
  * change directory name and use header only interface
  * Contributors: Paul Gesel, Andy Zelenak, Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Oct 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-kinematics-interface-kdl
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-eigen3-cmake-module, ros-humble-kdl-parser, ros-humble-kinematics-interface, ros-humble-pluginlib, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-tf2-eigen-kdl, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-kinematics-interface-kdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-kdl-parser, ros-humble-kinematics-interface, ros-humble-pluginlib, ros-humble-tf2-eigen-kdl, ros-humble-ros-workspace
Description: KDL implementation of ros2_control kinematics interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-kinematics-interface-kdl//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-kinematics-interface-kdl 0.3.0

=== debian/changelog ===
ros-humble-kinematics-interface-kdl (0.3.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Feb 2024 16:00:00 -0000

ros-humble-kinematics-interface-kdl (0.2.0-1bookworm) bookworm; urgency=high

  * 🤔 Remove compile warnings and unify for-loop syntax. (#15 <https://github.com/ros-controls/kinematics_interface/issues/15>)
  * Contributors: Dr. Denis, Bence Magyar, Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Nov 2023 16:00:00 -0000

ros-humble-kinematics-interface-kdl (0.1.0-1bookworm) bookworm; urgency=high

  * Fix overriding of install (#13 <https://github.com/ros-controls/kinematics_interface/issues/13>)
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 16:00:00 -0000

ros-humble-kinematics-interface-kdl (0.0.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 16:00:00 -0000

ros-humble-kinematics-interface-kdl (0.0.1-1bookworm) bookworm; urgency=high

  * Enable interface to use Eigen per default (#6 <https://github.com/ros-controls/kinematics_interface/issues/6>)
  * Add CI setup to the repository. (#8 <https://github.com/ros-controls/kinematics_interface/issues/8>)
  * Remove duplicate of Eigen dependency.
  * Update CMakeFiles, correct deps and formatting. (#10 <https://github.com/ros-controls/kinematics_interface/issues/10>)
  * add pre-commit to repo (#7 <https://github.com/ros-controls/kinematics_interface/issues/7>)
    add pre-commit
  * Fix failing KDL test (#5 <https://github.com/ros-controls/kinematics_interface/issues/5>)
    * add verification for all inputs
    * add underscore to end_effector
    * add test to ensure inverse then forward calculation is approximately unit
  * Fix more indentations and alphabetize
  * Update dependencies and maintainers
  * Kinematics interface with KDL implementation
  * change directory name and use header only interface
  * Contributors: Paul Gesel, Andy Zelenak, Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Oct 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-kinematics-interface-kdl//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-kinematics-interface-kdl//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-kinematics-interface-kdl//opt/ros/humble/opt/kinematics_interface_kdl/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
